<?php
/**
 * About page
 *
 * @package 	CSVIVirtueMart
 * @author 		Roland Dalmulder
 * @todo
 * @link 		http://www.csvimproved.com
 * @copyright 	Copyright (C) 2006 - 2012 RolandD Cyber Produksi
 * @license 	GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 * @version 	$Id: default.php 1517 2011-02-27 07:00:37Z RolandD $
 */

defined( '_JEXEC' ) or die( 'Direct Access to this location is not allowed.' );

foreach ($this->templatetypes as $templates) { ?>
	<table class="adminlist">
		<thead>
			<tr>
				<th><?php echo JText::_('COM_CSVIVIRTUEMART_COMPONENT_NAME'); ?></th>
				<th><?php echo JText::_('COM_CSVIVIRTUEMART_TEMPLATE_TYPE_NAME'); ?></th>
				<th><?php echo JText::_('COM_CSVIVIRTUEMART_TEMPLATE_TYPE_DESC'); ?></th>
			</tr>
		<thead>
		<tfoot>
		</tfoot>
		<tbody>
			<?php foreach($templates as $template) {?>
				<tr>
					<td>
						<?php
						if (empty($template['component_name']['name'])) {
							echo JText::_('COM_CSVIVIRTUEMART_COMPONENT_NOT_INSTALLED');
						}
						else {
							echo JHTML::_('link', JRoute::_('index.php?option='.$template['component_name']['component']), $template['component_name']['name'], 'target="_blank"');
						}
						?>
					</td>
					<td>
						<?php
						if (!empty($template['url'])) echo JHTML::_('link', $template['url'], JText::_('COM_CSVIVIRTUEMART_'.$template['name']), 'target="_blank"');
						else echo JText::_('COM_CSVIVIRTUEMART_'.$template['name']);
						?>
					</td>
					<td><?php echo JText::_('COM_CSVIVIRTUEMART_'.$template['name'].'_DESC'); ?></td>
				</tr>
			<?php } ?>
		</tbody>
	</table>
<?php } ?>